<template>
  <div class="rounded-xl border-2 border-gray-300 bg-white dark:bg-gray-800 dark:border-brand-deepblue p-3 xl:px-4">
    <header class="flex justify-between dark:text-brand-white">
      <div>
        <h3 class="font-serif text-lg font-bold">
          {{ title }}
        </h3>
        <p v-if="subtitle" class="text-sm text-gray-400">
          {{ subtitle }}
        </p>
      </div>
      <slot name="header-action" />
    </header>
    <div class="mt-3 dark:text-brand-white">
      <slot />
    </div>
  </div>
</template>

<script lang="ts">
import Vue from 'vue';

export default Vue.extend({
  props: {
    title: {
      type: String,
      required: true
    },
    subtitle: {
      type: String,
      default: ''
    }
  }
});
</script>
